Subject: bug#38861: closed (Re: [bug#38861] [WIP 1/1] gnu: Add ocaml-4.09.)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 13 Jan 2020 21:52:02 +0000

Your bug report

#38861: [WIP 0/1] Add ocaml-4.09.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
38861: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=38861
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#38861] [WIP 1/1] gnu: Add ocaml-4.09.
From: Brett Gilio <[email-masked]>
To: Julien Lepiller <[email-masked]>
Cc: [email-masked]
Date: Mon, 13 Jan 2020 15:50:53 -0600
List-Id: <debbugs-submit.debbugs.gnu.org>

Brett Gilio <[email-masked]> writes:

> Julien Lepiller <[email-masked]> writes:
>
>>
>> I tried to do that not so long ago, but failed because of two
>> packages: bap and another one I can't remember. The whole janestreet
>> stuff (core and ppx-*) needs to be re-imported: many dependencies
>> changed.
>>
>> I think we can have two versions of ocaml if some packages don't
>> support the latest. In that case, I would only duplicate packages that
>> are dependencies of these packages. In general, you can use a
>> procedure to recursively modify ocaml packages so they use the older
>> version. See package-with-ocaml4.02 that existed at some point.
>>
>
> Thanks for your help Julien. I am trying some things on my channel. Will
> report back here in a few days.

Development is occuring now on branch 'wip-ocaml4.09'. Closing.

-- 
Brett M. Gilio
GNU Guix, Contributor | GNU Project, Webmaster
[DFC0 C7F7 9EE6 0CA7 AE55 5E19 6722 43C4 A03F 0EEE]
<[email-masked]> <[email-masked]>

Subject: [WIP 0/1] Add ocaml-4.09.
From: Brett Gilio <[email-masked]>
To: [email-masked]
Date: Wed, 01 Jan 2020 19:12:31 -0600
List-Id: <debbugs-submit.debbugs.gnu.org>

>From 1f3f55c2482fb33912a38829f0c2b981d835d80f Mon Sep 17 00:00:00 2001
From: Brett Gilio <[email-masked]>
Date: Wed, 1 Jan 2020 19:09:16 -0600
Subject: [WIP 0/1] Add ocaml-4.09.
To: [email-masked]

This patch series is a WIP for adding OCaml 4.09.0.
I want to see if we can make the failing tests work, and ensure
that all relevant changes from the inherited OCaml version are fine.
For example, I removed the configuration replacement, and the shell
patching.

Brett Gilio (1):
  gnu: Add ocaml-4.09.

 gnu/packages/ocaml.scm | 37 +++++++++++++++++++++++++++++++++++++
 1 file changed, 37 insertions(+)

-- 
2.24.1